apply plugin: 'maven'

group = 'com.yvan'
version = '1.0-SNAPSHOT'

bootRepackage {
    enabled = false
}

dependencies {

    compile project(':yvan-core')

    compileOnly 'org.projectlombok:lombok'

    compile 'org.springframework.boot:spring-boot-starter-web'
    compile 'org.springframework.boot:spring-boot-starter-cache'
    compile 'org.springframework.boot:spring-boot-starter-data-redis'

    compile 'commons-codec:commons-codec:1.10'

    compile 'com.auth0:java-jwt:3.4.0'
    compile 'com.baomidou:mybatis-plus-boot-starter:2.3.3'
    compile 'com.alibaba:druid:1.1.10'
    compile 'mysql:mysql-connector-java'
    runtime 'com.googlecode.log4jdbc:log4jdbc:1.2'

    compile 'org.apache.shiro:shiro-spring:1.4.0'
    compile 'org.apache.directory.studio:org.dom4j.dom4j:1.6.1'

    compile 'org.springframework.boot:spring-boot-starter-freemarker'
    compile 'io.springfox:springfox-swagger2:2.9.2'
}

artifacts {
    archives jar
}